# Uses of Class
java.applet.Applet

Packages that use Applet
Package
Description
java.applet
Provides the classes necessary to create an applet and the classes an applet uses to communicate with its applet context.
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

- ## Uses of Applet in java.applet

  Methods in java.applet that return Applet
  Modifier and Type
  Method
  Description
  `Applet`
  AppletContext.`getApplet(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finds and returns the applet in the document represented by this applet context with the given name.
  Methods in java.applet that return types with arguments of type Applet
  Modifier and Type
  Method
  Description
  `Enumeration<Applet>`
  AppletContext.`getApplets()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finds all the applets in the document represented by this applet context.

- ## Uses of Applet in java.beans

  Methods in java.beans with parameters of type Applet
  Modifier and Type
  Method
  Description
  `void`
  AppletInitializer.`activate(Applet newApplet)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Activate, and/or mark Applet active.
  `void`
  AppletInitializer.`initialize(Applet newAppletBean, BeanContext bCtxt)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  If passed to the appropriate variant of java.beans.Beans.instantiate this method will be called in order to associate the newly instantiated Applet (JavaBean) with its AppletContext, AppletStub, and Container.

- ## Uses of Applet in javax.swing

  Subclasses of Applet in javax.swing
  Modifier and Type
  Class
  Description
  `class`
  `JApplet`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The Applet API is deprecated, no replacement.
  Methods in javax.swing with parameters of type Applet
  Modifier and Type
  Method
  Description
  `void`
  RepaintManager.`addDirtyRegion(Applet applet, int x, int y, int w, int h)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The Applet API is deprecated.